import * as z from "zod"
import { Einpreisungsstatus } from "@prisma/client"

export const GEGEinpreisungSchema = z.object({
  id: z.number().int(),
  uid: z.string(),
  empfaenger: z.string().nullish(),
  strasse: z.string().nullish(),
  plz: z.string().nullish(),
  ort: z.string().nullish(),
  zusatzzeile: z.string().nullish(),
  telefon: z.string().nullish(),
  email: z.string().nullish(),
  abweichende_versand_adresse: z.boolean().nullish(),
  versand_empfaenger: z.string().nullish(),
  versand_strasse: z.string().nullish(),
  versand_plz: z.string().nullish(),
  versand_ort: z.string().nullish(),
  versand_zusatzzeile: z.string().nullish(),
  status: z.nativeEnum(Einpreisungsstatus),
  benutzer_id: z.number().int().describe("Die ID des Benutzers, der diese Einpreisung bekommt.").nullish(),
})
